Skip to content

List this tenant's message templates

GET
/v1/message-templates
curl --request GET \
--url 'https://api.vocapable.com/v1/message-templates?limit=50' \
--header 'Authorization: Bearer <token>'
limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string
locale
Any of:
string

Filter on locale. Comma-separated values are OR.

locale.gte
Any of:
string

Filter on locale with the gte operator.

locale.lte
Any of:
string

Filter on locale with the lte operator.

locale.gt
Any of:
string

Filter on locale with the gt operator.

locale.lt
Any of:
string

Filter on locale with the lt operator.

locale.in
Any of:
string

Filter on locale with the in operator.

status
Any of:
string

Filter on status. Comma-separated values are OR.

status.gte
Any of:
string

Filter on status with the gte operator.

status.lte
Any of:
string

Filter on status with the lte operator.

status.gt
Any of:
string

Filter on status with the gt operator.

status.lt
Any of:
string

Filter on status with the lt operator.

status.in
Any of:
string

Filter on status with the in operator.

Successful Response

Media typeapplication/json
CursorPage[MessageTemplateSummary]
object
data
required
Data
Array<object>
MessageTemplateSummary
object
id
required
Id
string
name
required
Name
string
locale
required
Locale
string
body
required
Body
string
status
required
Status
string
variables
required
Variables
Array<string>
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}